include $(patsubst %,$(srcdir)/%/module.mk,src include tutorial doc)

# PHONY targets
.PHONY: build_all install_all clean_all

build_all:   build_src   build_inc

install_all: install_src install_inc

clean_all:   clean_src   clean_inc

ifeq ($(HAVE_LIBSDL),yes)
  ifeq ($(HAVE_LIBGLU),yes)
build_all: build_tut
install_all: install_tut
clean_all: clean_tut
  endif
endif

ifdef DOXYGEN
build_all: build_doc
install_all: install_doc
clean_all: clean_doc
endif
