# PHONY targets
.PHONY: build_doc install_doc clean_doc

build_doc: $(builddir)/doc/Doxyfile
	cd $(srcdir) && $(DOXYGEN) $(abs_builddir)/doc/Doxyfile >/dev/null

install_doc: build_doc
	mkdir -p $(docdir)/apidoc
	cp -r $(builddir)/doc/html/* $(docdir)/apidoc

clean_doc:
	rm -rf $(builddir)/doc/html
