/*********************************************************************
* lescegra                                                           *
*                                                                    *
* http://geeky.kicks-ass.org/projects/lescegra.html                  *
*                                                                    *
* Copyright 2003-2004 by Enno Cramer <uebergeek@web.de>              *
*                                                                    *
* This library is free software; you can redistribute it and/or      *
* modify it under the terms of the GNU Library General Public        *
* License as published by the Free Software Foundation; either       *
* version 2 of the License, or (at your option) any later version.   *
*                                                                    *
* This library is distributed in the hope that it will be useful,    *
* but WITHOUT ANY WARRANTY; without even the implied warranty of     *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU  *
* Library General Public License for more details.                   *
*                                                                    *
* You should have received a copy of the GNU Library General Public  *
* License along with this library; if not, write to the Free         *
* Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. *
*********************************************************************/

#ifndef LSG_COLL_HELPER_H
#define LSG_COLL_HELPER_H 1

#include <lescegra/coll/hit.h>
#include <lescegra/coll/frustum.h>

LsgHit* LsgTriangle_collideRay(const Vertex v1, const Vertex v2, const Vertex v3, const Vertex from, const Vertex direction);
LsgHit* LsgTriangle_collideSphere(const Vertex v1, const Vertex v2, const Vertex v3, const Vertex center, float radius);

int LsgSphere_visible(const Vertex center, float radius, const LsgFrustum* frustum);

#endif
