LIB     := $(builddir)/src/liblescegra.a
LIB_OBJ :=

include $(patsubst %,$(srcdir)/src/%/module.mk,base util coll sg geom particle)

$(LIB): $(LIB_OBJ)
	$(AR) rc $@ $?

$(LIB_OBJ): $(builddir)/%.o : $(srcdir)/%.c
	$(CC) -c -o $@ $(LIB_CFLAGS) $(LIB_CPPFLAGS) $<

# automatic dependency tracking
$(builddir)/src/depend: $(LIB_OBJ:$(builddir)/%.o=$(srcdir)/%.c)
	cd $(srcdir) && \
	  $(DEPEND) -f- -p'$$(builddir)/' -- -I$(abs_srcdir)/include -I$(abs_builddir) -- $(^:$(srcdir)/%=%) 2>/dev/null > $@

include $(builddir)/src/depend

# PHONY targets
.PHONY: build_src install_src clean_src

build_src: $(LIB)

install_src: build_src
	mkdir -p $(libdir)
	cp $(LIB) $(libdir)

clean_src:
	rm -f $(builddir)/src/depend
	rm -f $(LIB)
	rm -f $(LIB_OBJ)
